Get webhook delivery
curl --request GET \
--url https://api.runflow.io/v1/webhooks/{webhook_id}/deliveries/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type_code": "<string>",
"payload": {},
"created_at": "2023-11-07T05:31:56Z",
"attempts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempt_number": 123,
"status_code": 123,
"response_body": "<string>",
"response_time_ms": 123,
"succeeded": true,
"next_retry_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"delivery": null
}
],
"webhook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"secret_fingerprint": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_subscriptions": [
{
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type_code": "<string>"
}
],
"deliveries": [
"<unknown>"
]
}
}Webhooks
Get webhook delivery
Retrieve a single webhook delivery by ID. Use ‘any’ as webhook_id to skip parent validation.
GET
/
v1
/
webhooks
/
{webhook_id}
/
deliveries
/
{id}
Get webhook delivery
curl --request GET \
--url https://api.runflow.io/v1/webhooks/{webhook_id}/deliveries/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type_code": "<string>",
"payload": {},
"created_at": "2023-11-07T05:31:56Z",
"attempts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempt_number": 123,
"status_code": 123,
"response_body": "<string>",
"response_time_ms": 123,
"succeeded": true,
"next_retry_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"delivery": null
}
],
"webhook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"secret_fingerprint": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_subscriptions": [
{
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type_code": "<string>"
}
],
"deliveries": [
"<unknown>"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Webhook ID. Use 'any' to search across all parents.
Query Parameters
Relation embedding. Available values: attempts, webhook. Use a comma-separated list to request multiple embeds.
Response
The requested webhook delivery.
⌘I